/// <reference types="jasmine" />
import { KarmaClient } from './karma';
/**
 * Karma starter function factory.
 *
 * This function is invoked from the wrapper.
 * @see  adapter.wrapper
 *
 * @param  {Object}   karma        Karma runner instance.
 * @param  {Object}   [jasmineEnv] Optional Jasmine environment for testing.
 * @return {Function}              Karma starter function.
 */
export declare function createStartFn(karma: KarmaClient, jasmineEnv: jasmine.Env): () => void;
