"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomStyleSheetProcessor = void 0;
const stylesheet_processor_1 = require("ng-packagr/lib/styles/stylesheet-processor");
class CustomStyleSheetProcessor extends stylesheet_processor_1.StylesheetProcessor {
    constructor() {
        super(...arguments);
        this.styleMap = new Map();
    }
    process({ filePath, content, }) {
        const _super = Object.create(null, {
            process: { get: () => super.process }
        });
        return __awaiter(this, void 0, void 0, function* () {
            const result = yield _super.process.call(this, { filePath, content });
            this.styleMap.set(filePath, result);
            return '';
        });
    }
}
exports.CustomStyleSheetProcessor = CustomStyleSheetProcessor;
