"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParsedNgBoundText = void 0;
const interface_1 = require("./interface");
class ParsedNgBoundText {
    constructor(node, parent, index) {
        this.node = node;
        this.parent = parent;
        this.index = index;
        this.kind = interface_1.NgNodeKind.BoundText;
    }
    getNodeMeta() {
        return {
            kind: interface_1.NgNodeKind.BoundText,
            index: this.index,
        };
    }
}
exports.ParsedNgBoundText = ParsedNgBoundText;
