"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BdZnBuildPlatform = void 0;
const fs = __importStar(require("fs-extra"));
const path = __importStar(require("path"));
const static_injector_1 = require("static-injector");
const platform_1 = require("../platform");
const i0 = __importStar(require("static-injector"));
const i1 = __importStar(require("./bdzn.transform"));
class BdZnBuildPlatform extends platform_1.BuildPlatform {
    constructor(templateTransform) {
        super(templateTransform);
        this.templateTransform = templateTransform;
        this.packageName = 'bd';
        this.globalObject = 'swan';
        this.globalVariablePrefix = 'swan.__window';
        this.fileExtname = {
            style: '.css',
            logic: '.js',
            content: '.swan',
            contentTemplate: '.swan',
        };
        this.importTemplate = `${fs
            .readFileSync(path.resolve(__dirname, '../template/app-template.js'))
            .toString()};
    swan.__global = swan.__window = obj;`;
    }
}
BdZnBuildPlatform.ɵfac = function BdZnBuildPlatform_Factory(t) { return new (t || BdZnBuildPlatform)(i0.ɵɵinject(i1.BdZnTransform)); };
BdZnBuildPlatform.ɵprov = /*@__PURE__*/ i0.ɵɵdefineInjectable({ token: BdZnBuildPlatform, factory: BdZnBuildPlatform.ɵfac });
exports.BdZnBuildPlatform = BdZnBuildPlatform;
