"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNgTextMeta = exports.isNgTemplateMeta = exports.isNgContentMeta = exports.isNgBoundTextMeta = exports.isNgElementMeta = void 0;
const mini_program_compiler_1 = require("../../mini-program-compiler");
function isNgElementMeta(node) {
    return node.kind === mini_program_compiler_1.NgNodeKind.Element;
}
exports.isNgElementMeta = isNgElementMeta;
function isNgBoundTextMeta(node) {
    return node.kind === mini_program_compiler_1.NgNodeKind.BoundText;
}
exports.isNgBoundTextMeta = isNgBoundTextMeta;
function isNgContentMeta(node) {
    return node.kind === mini_program_compiler_1.NgNodeKind.Content;
}
exports.isNgContentMeta = isNgContentMeta;
function isNgTemplateMeta(node) {
    return node.kind === mini_program_compiler_1.NgNodeKind.Template;
}
exports.isNgTemplateMeta = isNgTemplateMeta;
function isNgTextMeta(node) {
    return node.kind === mini_program_compiler_1.NgNodeKind.Text;
}
exports.isNgTextMeta = isNgTextMeta;
